package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 */
@Entity
@Table(name="wlyy_copd_xeek_lung_detail")
public class WlyyCopdXeekLungDetailDO extends UuidIdentityEntity {

    private String code;// 关联wlyy_copd_xeek_lung 的id
    private String deviceType;// String Y 设备类型 设备品牌
    private String deviceSN;// String Y 设备 SN 号 设备唯一
    private String parameter;//  Y 指标参数
    private String unit;// String Y 指标单位
    private String preValue;// String Y 预计值
    private String bestValue;// String Y 最佳值
    private String bestPre;// String Y 最佳值/预计值*100%
    private String lln;// String Y 预计值下限 LLN
    private String zScore;// String Y 得分
    private String test1Value;// String Y 实测 1
    private String test2Value;// String Y 实测 2
    private String test3Value;// String Y 实测 3

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name="device_type")
    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    @Column(name="device_sn")
    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }

    @Column(name="parameter")
    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    @Column(name="unit")
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Column(name="pre_value")
    public String getPreValue() {
        return preValue;
    }

    public void setPreValue(String preValue) {
        this.preValue = preValue;
    }

    @Column(name="best_value")
    public String getBestValue() {
        return bestValue;
    }

    public void setBestValue(String bestValue) {
        this.bestValue = bestValue;
    }

    @Column(name="best_pre")
    public String getBestPre() {
        return bestPre;
    }

    public void setBestPre(String bestPre) {
        this.bestPre = bestPre;
    }

    @Column(name="lln")
    public String getLln() {
        return lln;
    }

    public void setLln(String lln) {
        this.lln = lln;
    }

    @Column(name="z_score")
    public String getzScore() {
        return zScore;
    }

    public void setzScore(String zScore) {
        this.zScore = zScore;
    }

    @Column(name="test1_value")
    public String getTest1Value() {
        return test1Value;
    }

    public void setTest1Value(String test1Value) {
        this.test1Value = test1Value;
    }

    @Column(name="test2_value")
    public String getTest2Value() {
        return test2Value;
    }

    public void setTest2Value(String test2Value) {
        this.test2Value = test2Value;
    }

    @Column(name="test3_value")
    public String getTest3Value() {
        return test3Value;
    }

    public void setTest3Value(String test3Value) {
        this.test3Value = test3Value;
    }
}
